gdnsd (3.8.2-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch tests-fix-AXFR-related-Net-DNS-1.39-breakage, merged
      upstream.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 05 Jan 2024 12:00:05 +0200

gdnsd (3.8.1-2) unstable; urgency=medium

  * Add upstream patch (submitted as PR #237) to fix a FTBFS, with a test
    suite breakage caused by changes in Net::DNS >= 1.39. (Closes: #1042337)

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 01 Aug 2023 16:59:34 +0300

gdnsd (3.8.1-1) unstable; urgency=medium

  * New upstream release.
    - The test suite patches introduced in the previous release have been
      pushed upstream (PR #229) and are now part of this release.
  * Update upstream's signing key; upstream replaced the SHA1 signatures in
    their key, making it more secure and now functional with dpkg.
  * Adjust libunwind-dev's architecture set to add s390x and riscv64, as
    introduced by libunwind 1.6.2-1.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 25 Feb 2023 00:37:06 +0200

gdnsd (3.8.0-1) unstable; urgency=high

  * New upstream release, with various optimizations and QA fixes.
  * Add three upstream patches to the test suite, to fix compatibility with
    Net::DNS > 1.32, and specifically API breakages introduced with 1.33 and
    1.36. Resolves a long-standing FTBFS. (Closes: #1002225)
  * Add an upstream patch to the test suite to resolve races while tailing
    gdnsd.out, that manifested in random failures for several tests.
  * Mark the daemon autopkgtest as "flaky" and the common-operations one as
    "skippable", with code to skip when the daemon is not running. This
    reduces our test coverage, but accounts for other daemons having taken
    over port 53 and gdnsd being unable to start. Notably, this is the case by
    default in the Ubuntu autopkgtest environment, which has systemd-resolved
    installed. (LP: #1764327)
  * Urgency high for an RC bug fix release and for re-entry to testing.
  * Switch debian/watch to the GitHub API, as the old web scraping method does
    not work anymore.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 10 Feb 2023 06:23:31 +0200

gdnsd (3.5.2-1) unstable; urgency=medium

  * New minor upstream release (reliability/safety bugfixes).

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 24 Feb 2021 02:00:18 +0200

gdnsd (3.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 11 Feb 2021 00:29:52 +0200

gdnsd (3.5.0-1) unstable; urgency=medium

  * New major upstream release.
    - Fixes CVE-2019-13952. (Closes: #932407)
    - Plugins cannot be built externally anymore; drop the gdnsd-dev package.
    - Add new build dependency on libsodium-dev.
    - Add build dependency on libnet-dns-perl and drop the embedded copy.
    - Drop build dependency on libwww-perl, not needed anymore.
    - Add new copyright stanza for src/kdf_compat.c.
    - Remove lib* plugins, everything is in /usr/sbin/gdnsd now.
    - Add lintian-override for gdnsd-plugin-* manpages.
    - Ship new binary /usr/bin/gdnsdctl.
  * Support zero downtime upgrades: add code to postinst to allow upgrades to
    happen with a native binary replace, rather than a stop/start. This only
    applies for upgrades from here on; an upgrade from 2.x will require a
    restart.
  * Update Standards-Version to 4.5.1.
  * Bump debhelper compat to 13.
  * Remove versioned depends on libmaxminddb-dev, as minimum version is now
    satisfied in oldstable.
  * Use upstream Makefile to install all files, rather than installing to
    debian/tmp and cherry-picking files to the (now sole) gdnsd binary
    package.
  * Drop our own copy of the systemd service and use upstream's instead.
  * Switch runtime directory from /var/run to /run.
  * Remove SysV init script: due to upstream changes, running with an init
    script requires a significant extra effort and additional dependencies.
    Thus, and per the 2019 init systems GR, support only systems with systemd
    as their init system.
  * Add --with-systemdsystemunitdir to configure, to avoid extra build
    dependencies on systemd and pkg-config.
  * Support building without (fake)root (Rules-Requires-Root: no).
  * Add support for the "nocheck" build profile, that skips the installation
    of the Perl build dependencies and the execution of the suite itself.
  * Add more autopkgtests:
    - Add "isolation-container" to the "daemon" test, due to the network port.
    - Enhance the existing, simple "daemon" test to also run gdnsdctl.
    - Add a "common-operations" test, that uses "dig" to resolve hostnames,
      and validates that "gdnsdctl reload-zones" and "gdnsdctl replace" work.
    - Add a "testsuite" test, that runs the upstream test suite against the
      installed binary.
  * Update debian/copyright:
    - Adjust years to include up to 2021.
    - Point to GPL-3, not GPL (copyright-refers-to-symlink-license).
  * Add upstream metadata.
  * Update a couple of links to https (from http).
  * Update debian/watch to v4.
  * Drop "unapply-patches" from debian/source/local-options.
  * Update git layout and gbp.conf for a DEP-14/"gbp import-orig" workflow.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 07 Feb 2021 09:50:53 +0200

gdnsd (2.4.2-1) unstable; urgency=medium

  * New upstream point release.
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Build-Depend on debhelper 11~ to ease backports.
  * Drop [linux-any] from liburcu-dev Build-Depends, as it's now available on
    kFreeBSD.
  * Add 2019 to debian/copyright years.
  * Misc source package changes:
    - Drop overlay/tarballs/build-area from gbp.conf.
    - Remove custom compression setting from source/options.
    - Sort Build-Depends.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 05 Mar 2019 16:37:21 +0200

gdnsd (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Set hardening flags (hardening=+all) in DEB_BUILD_MAINT_OPTIONS.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 26 May 2018 20:21:20 +0300

gdnsd (2.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Remove patch net-dns-remove-dnssec, addressed upstream.
  * Fix Vcs-Git to point to the package's GitHub page, instead of upstream's.
  * Bump debhelper compatibility to 11.
  * Bump Standards-Version to 4.1.3.
    - Bump gdnsd-dev's priority to optional, as extra is now deprecated.
  * Remove dbgsym-migration compatibility stanza for versions released before
    the stretch release (as only n+1 upgrades are supported).

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 28 Dec 2017 17:00:36 +0200

gdnsd (2.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on libmaxminddb >= 1.2.0. This is not strictly needed, but
    building with lower versions means that we depened on the library's
    internals which are known to not be ABI-safe with newer versions.
  * Address incompatibility with newer versions of Net::DNS (libnet-dns-perl).
    Net::DNS::RR:SIG was found in the system copy, but others like
    Net::DNS::RR:NXT were not, resulting in an FTBFS. (Closes: #830184)
  * Bump Standards-Version to 3.9.8.
  * Pass -O--dbgsym-migration to dh_strip and relax the debhelper dependency
    to ease backports.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 17 Jul 2016 19:43:30 +0300

gdnsd (2.2.3-1) unstable; urgency=medium

  * New upstream release.
    - Falls back from F_OFD_SETLK to F_SETLK at runtime if the runtime
      environment differs from the compile-time one. (Closes: #805571)
    - Fixes incompatibilities with libmaxminddb 1.1.5.
    - Fixes reproducibility issues (embedded hostname/build date).
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Upstream is signing their releases starting with 2.2.3; add Brandon's GPG
    key to debian/upstream/signing-key.asc and adjust debian/watch to check
    for the .asc.
  * Migrate from our own -dbg package to the automatic -dbgsym package.
  * Adjust libunwind-dev's architecture set: drop ia64; add mipsel, mips64el.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 23 Mar 2016 05:07:55 +0200

gdnsd (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Add build-dependency on libmaxminddb-dev for GeoIP2 support.
  * Add build-dependency on libunwind-dev for stacktraces on fatals.
  * Remove build-dep on geoip-database. It was only used for running the test
    suite, which now expects specific versions of the GeoIP databases.
  * Remove XS-Testsuite header, obsolete since dpkg 1.17.11.
  * Add /var/lib/gdnsd to debian/dirs.
  * Add several security options to the systemd unit file, inherited from
    upstream's own unit file.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 25 Jul 2015 12:18:34 +0300

gdnsd (2.1.2-1) unstable; urgency=high

  * New upstream stable release.
    - Fixes FTBFS with newer pod2man, like in current sid.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 07 May 2015 00:40:19 +0300

gdnsd (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch upstream's URLs to new location.
  * Upstream now supports systemd; ship their unit file and add a
    build-dependency to dh-systemd.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 20 Oct 2014 23:51:13 +0300

gdnsd (2.0.0-1) unstable; urgency=medium

  * New major upstream release.
    - Add reload-zones init script action, but keep reload as an alias.
    - Remove dependency to libcap-dev.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 07 Oct 2014 16:12:36 +0300

gdnsd (1.11.4-1) unstable; urgency=high

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 19 Jul 2014 10:57:10 +0300

gdnsd (1.11.2-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 28 Feb 2014 11:03:21 +0200

gdnsd (1.11.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes a FTBFS on Ubuntu/i386 & Ubuntu/ppc64el.
  * Point debian/watch to github again, per upstream's NEWS.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 13 Feb 2014 19:30:00 +0200

gdnsd (1.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 01 Feb 2014 17:16:21 +0200

gdnsd (1.10.1-1) unstable; urgency=medium

  * New upstream release.
    - urgency medium for bugfix release including a potential DoS fix.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 04 Nov 2013 17:15:03 +0200

gdnsd (1.10.0-1) unstable; urgency=low

  * New upstream release.
    - Fixes test suite failure when building as root. (Closes: #711872)
  * Update Homepage field & watch file to point to the new homepage.
  * Add rudimentary dep8/autopkgtest test. The build-time test suite is
    thorough enough, this makes sure the daemon starts on package install.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 08 Sep 2013 05:05:19 +0300

gdnsd (1.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 17 Jul 2013 11:26:29 +0300

gdnsd (1.8.3-1) unstable; urgency=low

  * New upstream release.
    - Fixes FTBFS on sparc64, thanks to Aurelien Jarno for the help.
    - Test suite more resilient to slow build hosts, helps with a couple of
      FTBFS on slow architectures (e.g. sh4).
  * Drop dependency on libnet-dns-perl & update debian/copyright. Newer
    Net::DNS versions broke the internal API, gdnsd now bundles parts of 0.68
    for the test suite.
  * Switch liburcu-dev build-dependency to linux-any as it was fixed in the
    meantime.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 01 Jun 2013 18:14:02 +0300

gdnsd (1.8.1-1) unstable; urgency=low

  * New upstream release.
    - Set Architecture to "any" again as unaligned access issues were fixed.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 22 Mar 2013 14:24:59 +0200

gdnsd (1.8.0-1) unstable; urgency=low

  * New upstream release.
  * Limit the Architecture set to architectures supporting unaligned accesses,
    as it's broken on the rest.
  * Build-Depends on libcap-dev only on Linux targets.
  * Build-Depends on liburcu-dev only on the subset of architectures liburcu
    supports.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 05 Feb 2013 05:50:39 +0200

gdnsd (1.7.6-1) experimental; urgency=low

  * New upstream release.
  * Update debian/copyright for 2013.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 22 Jan 2013 14:26:34 +0200

gdnsd (1.7.5-1) experimental; urgency=low

  * Initial release (Closes: #694173).

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 13 Jan 2013 08:15:00 +0200
